## texext 0.6.6

=== requirements.txt ===
# Minimum requirements for install.
sphinx>=1.3.1
six>=1.4.0
docutils>=0.13

## texext 0.5

=== debian/changelog ===
texext (0.5-1) unstable; urgency=low

  * Initial release; Closes: 895759

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Apr 2018 18:28:15 +0000

=== debian/control ===
Source: texext
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python-all,
               python3-all,
               python-docutils,
               python3-docutils,
               python-nose,
               python3-nose,
               python-matplotlib,
               python3-matplotlib,
               python-setuptools,
               python3-setuptools,
               python-sphinx,
               python3-sphinx,
               python-sphinxtesters,
               python3-sphinxtesters,
               python-sympy,
               python3-sympy,
Standards-Version: 4.1.4
Homepage: http://github.com/matthew-brett/texext
Vcs-Git: https://salsa.debian.org/python-team/modules/texext.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/texext

Package: python-texext
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: sphinx extensions for working with LaTeX math - Python 2
 texext contains a couple of Sphinx extensions for working with LaTeX math:
 .
  * math_dollar, replaces math expressions between dollars in ReST with
    equivalent inline math.
 .
  * users of sympy may want to generate LaTeX expressions dynamically in Sympy,
    and then render them in LaTeX in the built pages. You can do this with the
    mathcode directive.
 .
 This package contains the Python 2 version of texext.

Package: python3-texext
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: sphinx extensions for working with LaTeX math - Python 
 texext contains a couple of Sphinx extensions for working with LaTeX math:
 .
  * math_dollar, replaces math expressions between dollars in ReST with
    equivalent inline math.
 .
  * users of sympy may want to generate LaTeX expressions dynamically in Sympy,
    and then render them in LaTeX in the built pages. You can do this with the
    mathcode directive
 .
 This package contains the Python 2 version of texext..

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=texext
%:
	dh $@ --with python2,python3 --buildsystem=pybuild --test-nose

override_dh_auto_test:
	-dh_auto_test

## texext 0.6

=== debian/changelog ===
texext (0.6-2) unstable; urgency=medium

  * run tests via pytest, not nose

 -- Sandro Tosi <morph@debian.org>  Sat, 12 May 2018 17:29:43 -0400

texext (0.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - update upstream copyright notice

 -- Sandro Tosi <morph@debian.org>  Sat, 12 May 2018 17:03:29 -0400

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                python3-all,
                python-docutils,
                python3-docutils,
-               python-nose,
-               python3-nose,
                python-matplotlib,
                python3-matplotlib,
+               python-pytest,
+               python3-pytest,
                python-setuptools,
                python3-setuptools,
                python-sphinx,
@@ -47,7 +47,7 @@
 Depends: ${misc:Depends}, ${python3:Depends},
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
-Description: sphinx extensions for working with LaTeX math - Python 
+Description: sphinx extensions for working with LaTeX math - Python
  texext contains a couple of Sphinx extensions for working with LaTeX math:
  .
   * math_dollar, replaces math expressions between dollars in ReST with

## texext 0.6.1

=== debian/changelog ===
texext (0.6.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938654
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Nov 2019 17:43:14 -0500

texext (0.6.1-1) unstable; urgency=medium

  * New upstream release; Closes: #906320
  * debian/control
    - b-d on sphinxtesters >= 0.2.1
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Dec 2018 23:42:53 -0500

=== debian/control ===
Source: texext
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-all,
               python3-docutils,
               python3-matplotlib,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxtesters (>= 0.2.1),
               python3-sympy,
Standards-Version: 4.4.1
Homepage: https://github.com/matthew-brett/texext
Vcs-Git: https://salsa.debian.org/python-team/modules/texext.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/texext

Package: python3-texext
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: sphinx extensions for working with LaTeX math - Python
 texext contains a couple of Sphinx extensions for working with LaTeX math:
 .
  * math_dollar, replaces math expressions between dollars in ReST with
    equivalent inline math.
 .
  * users of sympy may want to generate LaTeX expressions dynamically in Sympy,
    and then render them in LaTeX in the built pages. You can do this with the
    mathcode directive
 .
 This package contains the Python 2 version of texext..

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=texext
%:
	dh $@ --with python3 --buildsystem=pybuild

## texext 0.6.6

=== debian/changelog ===
texext (0.6.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/patches/39aa947784142babe9d1618ef0d7189d062a0e58.patch
    - fix tests errors; Closes: #971199

 -- Sandro Tosi <morph@debian.org>  Sun, 01 Nov 2020 13:43:00 -0500

texext (0.6.6-1) unstable; urgency=medium

  * New upstream release; Closes: #952226
  * debian/copyright
    - update upstream copyright information
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)
    - wrap-and-sort
    - bump compat level to 13

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Jul 2020 22:55:56 -0400

=== debian/control ===
Source: texext
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-docutils,
               python3-matplotlib,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxtesters (>= 0.2.1),
               python3-sympy,
Standards-Version: 4.5.0
Homepage: https://github.com/matthew-brett/texext
Vcs-Git: https://salsa.debian.org/python-team/packages/texext.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/texext

Package: python3-texext
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: sphinx extensions for working with LaTeX math - Python
 texext contains a couple of Sphinx extensions for working with LaTeX math:
 .
  * math_dollar, replaces math expressions between dollars in ReST with
    equivalent inline math.
 .
  * users of sympy may want to generate LaTeX expressions dynamically in Sympy,
    and then render them in LaTeX in the built pages. You can do this with the
    mathcode directive
 .
 This package contains the Python 2 version of texext..

=== debian/watch ===
# try also https://pypi.debian.net/texext/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/texext/texext-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## texext 0.6.7

=== requirements.txt ===
# Minimum requirements for install.
sphinx>=4
docutils>=0.14

=== texext/tests/futz/Makefile ===
html: clean
	sphinx-build -W -b html -d html proj1 html

permissive: clean
	sphinx-build -b html -d html proj1 html

debug: clean
	sphinx-build -P -W -b html -d html proj1 html

clean:
	rm -rf html

init: clean
	rm -rf proj1
	cp -r ../tinypages proj1

=== debian/changelog ===
texext (0.6.7-4) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 01:02:20 -0500

texext (0.6.7-3) unstable; urgency=medium

  * Team upload.
  * Set DPT as Maintainer
  * Python3.12 support
    Closes: #1057604
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.
  * Ignore test that fails with recent sphinx

 -- Andreas Tille <tille@debian.org>  Fri, 15 Dec 2023 20:26:59 +0100

texext (0.6.7-2) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Fri, 14 Oct 2022 09:27:38 -0000

texext (0.6.7-1) unstable; urgency=medium

  * New upstream release; Closes: #997466
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track releases on github
  * debian/patches
    - drop patches, merged upstream
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.6.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Jun 2022 00:57:44 -0400

=== debian/control ===
Source: texext
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-docutils,
               python3-matplotlib,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxtesters,
               python3-sympy
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/texext
Vcs-Git: https://salsa.debian.org/python-team/packages/texext.git
Homepage: https://github.com/matthew-brett/texext
Rules-Requires-Root: no

Package: python3-texext
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: sphinx extensions for working with LaTeX math - Python
 texext contains a couple of Sphinx extensions for working with LaTeX math:
 .
  * math_dollar, replaces math expressions between dollars in ReST with
    equivalent inline math.
 .
  * users of sympy may want to generate LaTeX expressions dynamically in Sympy,
    and then render them in LaTeX in the built pages. You can do this with the
    mathcode directive
 .
 This package contains the Python 2 version of texext..

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=texext
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%texext-$1.tar.gz%" \
https://github.com/matthew-brett/texext/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
